/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasMPR.h,v $
  Language:  C++
  Date:      $Date: 2012/11/15 14:16:51 $
  Version:   $Revision: 1.7 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__MPR__HXX__
#define __WX__MARACAS__MPR__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "marTypes.h"
#include "vtkImageData.h"
#include "widgets/wxMPRWidget.h"


class  creaMaracasVisu_EXPORT  wxMaracasMPR : public wxPanel
{
public:
    wxMaracasMPR( wxWindow* parent, marImageData* marimagedata=NULL);
    ~wxMaracasMPR( );
	void ConfigureVTK();
	vtkMPRBaseData	*GetVtkMPRBaseData();
	vtkPlane2DView	*GetVtkPlane2DView();
	wxVtkMPR3DView  *GetWxvtkmpr3Dview_BB()throw(char*);
	void			RefreshView();

	void setImageData(vtkImageData *img, double voxelsize);

private:
	 wxMPRWidget* _MPR;
};

#endif // __WX__MARACAS__MPR__HXX__

// EOF - wxMaracasMPR.h
